#!/bin/bash
PRODUCTNAME="performance"
TMPDIR="/tmp/performance"
INSTALLDIR="/usr/share/ombutel/www"
IPCDIR="/etc/ipconnect"
OLDVERSION=-1
NEWVERSION=-1
MAJORVERSION=2

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"

if [ -e "$IPCDIR/$PRODUCTNAME.ver" ]
then
    OLDVERSION=$(cat "$IPCDIR/$PRODUCTNAME.ver" |cut -d"." -f2)
fi
NEWVERSION=$(head -n 1 "$INSTALLDIR/$PRODUCTNAME/version.txt" |cut -d"." -f2)
echo "-- Updating from 2.$OLDVERSION to 2.$NEWVERSION"

i=$(($OLDVERSION+1))
while [ $i -le $NEWVERSION ]
do
    echo "-- Executing patch $MAJORVERSION.$i"
    find "$INSTALLDIR/$PRODUCTNAME/InstallScripts/$MAJORVERSION.$i" -name '*' -exec dos2unix {} 2> /dev/null \;
    bash "$INSTALLDIR/$PRODUCTNAME/InstallScripts/$MAJORVERSION.$i/update.sh"
    i=$(($i+1))
done


echo "$MAJORVERSION.$NEWVERSION" > "$IPCDIR/$PRODUCTNAME.ver"
echo "-- Update finished"

rm -rf "$TMPDIR"
exit